> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐 업데이트

> 어노테이션 큐의 메타데이터(name, description, scorer_refs)를 업데이트합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json put /annotation_queues/{queue_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}:
    put:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐 업데이트
      description: 어노테이션 큐의 메타데이터(name, description, scorer_refs)를 업데이트합니다.
      operationId: annotation_queue_update_annotation_queues__queue_id__put
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueUpdateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueUpdateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueUpdateBody:
      additionalProperties: false
      description: |-
        어노테이션 큐를 업데이트하기 위한 요청 본문입니다(queue_id는 경로에서 가져옵니다).

        project_id를 제외한 모든 필드는 선택 사항이며, 제공된 필드만 업데이트됩니다.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Updated description
          title: Description
        name:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Updated Queue Name
          title: Name
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        scorer_refs:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          examples:
            - - weave:///entity/project/scorer/error_severity:abc123
              - weave:///entity/project/scorer/resolution_quality:def456
          title: Scorer Refs
      required:
        - project_id
      title: AnnotationQueueUpdateBody
      type: object
    AnnotationQueueUpdateRes:
      description: 어노테이션 큐 업데이트에 대한 응답입니다.
      properties:
        queue:
          $ref: '#/components/schemas/AnnotationQueueSchema'
      required:
        - queue
      title: AnnotationQueueUpdateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueSchema:
      description: annotation queue 응답을 위한 스키마입니다.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        project_id:
          title: Project Id
          type: string
        scorer_refs:
          items:
            type: string
          title: Scorer Refs
          type: array
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - name
        - description
        - scorer_refs
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````